IF NOT EXISTS
	(
		SELECT 
			C.*
		FROM 
			SysObjects O 
				INNER JOIN SysColumns C ON O.ID=C.ID
				INNER JOIN SysTypes T ON C.xtype = T.xtype
		WHERE 
			ObjectProperty(O.ID,'IsUserTable')=1 
			AND 
			O.Name = 'tbSecret'
			AND
			T.Name = 'nvarchar'
			AND
			C.Name = 'SecretName'
	)
	BEGIN

		ALTER TABLE tbSecret ALTER COLUMN [SecretName] NVARCHAR(2000) NOT NULL

	END
GO

IF NOT EXISTS
	(
		SELECT 
			C.*
		FROM 
			SysObjects O 
				INNER JOIN SysColumns C ON O.ID=C.ID
				INNER JOIN SysTypes T ON C.xtype = T.xtype
		WHERE 
			ObjectProperty(O.ID,'IsUserTable')=1 
			AND 
			O.Name = 'tbUser'
			AND
			T.Name = 'nvarchar'
			AND
			C.Name = 'UserName'
	)
	BEGIN

		ALTER TABLE tbUser ALTER COLUMN [UserName] NVARCHAR(128) NOT NULL

	END
GO

IF NOT EXISTS
	(
		SELECT 
			C.*
		FROM 
			SysObjects O 
				INNER JOIN SysColumns C ON O.ID=C.ID
				INNER JOIN SysTypes T ON C.xtype = T.xtype
		WHERE 
			ObjectProperty(O.ID,'IsUserTable')=1 
			AND 
			O.Name = 'tbUser'
			AND
			T.Name = 'nvarchar'
			AND
			C.Name = 'DisplayName'
	)
	BEGIN

		ALTER TABLE tbUser ALTER COLUMN [DisplayName] NVARCHAR(128) NOT NULL

	END
GO

IF NOT EXISTS
	(
		SELECT 
			C.*
		FROM 
			SysObjects O 
				INNER JOIN SysColumns C ON O.ID=C.ID
				INNER JOIN SysTypes T ON C.xtype = T.xtype
		WHERE 
			ObjectProperty(O.ID,'IsUserTable')=1 
			AND 
			O.Name = 'tbGroup'
			AND
			T.Name = 'nvarchar'
			AND
			C.Name = 'Name'
	)
	BEGIN

		ALTER TABLE tbGroup ALTER COLUMN [GroupName] NVARCHAR(100) NOT NULL

	END
GO